import request from '@/utils/request'

// 查询教室列表
export function listStudent(query) {
  return request({
    url: '/course/student/list',
    method: 'get',
    params: query
  })
}

// 查询教室分页列表
export function pageStudent(query) {
  return request({
    url: '/course/student/page',
    method: 'get',
    params: query
  })
}

// 查询教室详细
export function getStudent(id) {
  return request({
    url: '/course/student/' + id,
    method: 'get'
  })
}

// 新增教室
export function addStudent(data) {
  return request({
    url: '/course/student',
    method: 'post',
    data: data
  })
}

// 修改教室
export function updateStudent(data) {
  return request({
    url: '/course/student',
    method: 'post',
    data: data
  })
}

// 删除教室
export function delStudent(id) {
  return request({
    url: '/course/student/' + id,
    method: 'post'
  })
}

// 批量删除教室
export function batchDeleteStudent(ids) {
  return request({
    url: '/course/student/batch',
    method: 'delete',
    data: ids
  })
}

// 导出教室
export function exportStudent(query) {
  return request({
    url: '/course/student/export',
    method: 'get',
    params: query
  })
}
